Index: BasicCompiler32/VarList.cpp
===================================================================
--- BasicCompiler32/VarList.cpp	(revision 73)
+++ BasicCompiler32/VarList.cpp	(revision 75)
@@ -348,23 +348,23 @@
 	if(pobj_dti->lplpSpBase[i2]==0) return;
 
-	extern SubInfo **ppSubHash;
-	SubInfo *psi;
+	extern UserProc **ppSubHash;
+	UserProc *pUserProc;
 	for(i3=0,sw=0;i3<MAX_HASH;i3++){
-		psi=ppSubHash[i3];
-		while(psi){
-			if(rva_to_real(psi->CompileAddress) <= pobj_dti->lplpObp[i2]  &&
-				pobj_dti->lplpObp[i2] < rva_to_real(psi->EndOpAddr)){
+		pUserProc=ppSubHash[i3];
+		while(pUserProc){
+			if(rva_to_real(pUserProc->beginOpAddress) <= pobj_dti->lplpObp[i2]  &&
+				pobj_dti->lplpObp[i2] < rva_to_real(pUserProc->endOpAddress)){
 				sw=1;
 				break;
 			}
 
-			psi=psi->pNextData;
+			pUserProc=pUserProc->pNextData;
 		}
 		if(sw) break;
 	}
-	if(!psi) return;
-
-	for(i=0;i<psi->VarNum;i++){
-		VARIABLE *pVar=&psi->pVar[i];
+	if(!pUserProc) return;
+
+	for(i=0;i<pUserProc->VarNum;i++){
+		VARIABLE *pVar=&pUserProc->pVar[i];
 
 		//スコープ外の場合は無視
@@ -416,22 +416,22 @@
 
 	TreeView_DeleteAllItems(hVarTree_This);
-	if(!psi->pobj_ParentClass) return;
+	if(!pUserProc->GetParentClassPtr()) return;
 
 	//Thisポインタを取得
 	LONG_PTR pThis;
-	for(i=0;i<psi->VarNum;i++){
-		if(lstrcmp(psi->pVar[i].name,"_System_LocalThis")==0) break;
-	}
-	if(i==psi->VarNum) return;
-	lpData=pobj_dti->lplpSpBase[i2]+psi->pVar[i].offset;
+	for(i=0;i<pUserProc->VarNum;i++){
+		if(lstrcmp(pUserProc->pVar[i].name,"_System_LocalThis")==0) break;
+	}
+	if(i==pUserProc->VarNum) return;
+	lpData=pobj_dti->lplpSpBase[i2]+pUserProc->pVar[i].offset;
 	ReadProcessMemory(hDebugProcess,(void *)lpData,&pThis,sizeof(LONG_PTR),&lpAccBytes);
 
-	for(i=0;i<psi->pobj_ParentClass->iMemberNum;i++){
-		offset = psi->pobj_ParentClass->GetMemberOffset( psi->pobj_ParentClass->ppobj_Member[i]->name, &i2 );
-
-		if(psi->pobj_ParentClass->ppobj_Member[i]->SubScripts[0]!=-1){
+	for(i=0;i<pUserProc->GetParentClassPtr()->iMemberNum;i++){
+		offset = pUserProc->GetParentClassPtr()->GetMemberOffset( pUserProc->GetParentClassPtr()->ppobj_Member[i]->name, &i2 );
+
+		if(pUserProc->GetParentClassPtr()->ppobj_Member[i]->SubScripts[0]!=-1){
 			//配列
 			sprintf(temporary,"%s %s(&H%X)",
-				psi->pobj_ParentClass->ppobj_Member[i]->name,
+				pUserProc->GetParentClassPtr()->ppobj_Member[i]->name,
 				STRING_ARRAY,
 				offset);
@@ -442,14 +442,14 @@
 			VarList_Array(hVarTree_This,hParent,
 				pThis+offset,
-				psi->pobj_ParentClass->ppobj_Member[i]->TypeInfo.type,
-				psi->pobj_ParentClass->ppobj_Member[i]->SubScripts,
-				psi->pobj_ParentClass->ppobj_Member[i]->TypeInfo.u.lpIndex);
+				pUserProc->GetParentClassPtr()->ppobj_Member[i]->TypeInfo.type,
+				pUserProc->GetParentClassPtr()->ppobj_Member[i]->SubScripts,
+				pUserProc->GetParentClassPtr()->ppobj_Member[i]->TypeInfo.u.lpIndex);
 		}
 		else{
 			VarList_Insert(hVarTree_This,&tv,
-				psi->pobj_ParentClass->ppobj_Member[i]->name,
-				psi->pobj_ParentClass->ppobj_Member[i]->TypeInfo.type,
+				pUserProc->GetParentClassPtr()->ppobj_Member[i]->name,
+				pUserProc->GetParentClassPtr()->ppobj_Member[i]->TypeInfo.type,
 				pThis+offset,
-				psi->pobj_ParentClass->ppobj_Member[i]->TypeInfo.u.lpIndex);
+				pUserProc->GetParentClassPtr()->ppobj_Member[i]->TypeInfo.u.lpIndex);
 		}
 	}
@@ -583,23 +583,23 @@
 
 	//プロシージャ コンボボックス
-	extern SubInfo **ppSubHash;
-	SubInfo *psi;
+	extern UserProc **ppSubHash;
+	UserProc *pUserProc;
 	int sw;
 	SendMessage(hProcCombo,CB_RESETCONTENT,0,0);
 	for(i2=pobj_dti->iProcLevel;i2>=0;i2--){
 		for(i3=0,sw=0;i3<MAX_HASH;i3++){
-			psi=ppSubHash[i3];
-			while(psi){
-				if(rva_to_real(psi->CompileAddress) <= pobj_dti->lplpObp[i2]  &&
-					pobj_dti->lplpObp[i2] < rva_to_real(psi->EndOpAddr)){
-					lstrcpy(temporary,psi->name);
+			pUserProc=ppSubHash[i3];
+			while(pUserProc){
+				if(rva_to_real(pUserProc->beginOpAddress) <= pobj_dti->lplpObp[i2]  &&
+					pobj_dti->lplpObp[i2] < rva_to_real(pUserProc->endOpAddress)){
+					lstrcpy(temporary,pUserProc->GetName().c_str());
 					sw=1;
 					break;
 				}
-				psi=psi->pNextData;
+				pUserProc=pUserProc->pNextData;
 			}
 			if(sw) break;
 		}
-		if(!psi){
+		if(!pUserProc){
 			if(i2==0){
 				lstrcpy(temporary,"Global");
@@ -706,16 +706,16 @@
 
 	if(pobj_dti->lplpSpBase[i2]){
-		extern SubInfo **ppSubHash;
-		SubInfo *psi;
+		extern UserProc **ppSubHash;
+		UserProc *pUserProc;
 		for(i3=0,sw=0;i3<MAX_HASH;i3++){
-			psi=ppSubHash[i3];
-			while(psi){
-				if(rva_to_real(psi->CompileAddress) <= pobj_dti->lplpObp[i2]  &&
-					pobj_dti->lplpObp[i2] < rva_to_real(psi->EndOpAddr)){
+			pUserProc=ppSubHash[i3];
+			while(pUserProc){
+				if(rva_to_real(pUserProc->beginOpAddress) <= pobj_dti->lplpObp[i2]  &&
+					pobj_dti->lplpObp[i2] < rva_to_real(pUserProc->endOpAddress)){
 					sw=1;
 					break;
 				}
 
-				psi=psi->pNextData;
+				pUserProc=pUserProc->pNextData;
 			}
 			if(sw) break;
@@ -723,9 +723,9 @@
 
 
-		if(psi){
-			LocalVar=psi->pVar;
-			MaxLocalVarNum=psi->VarNum;
-
-			pobj_CompilingClass=psi->pobj_ParentClass;
+		if(pUserProc){
+			LocalVar=pUserProc->pVar;
+			MaxLocalVarNum=pUserProc->VarNum;
+
+			pobj_CompilingClass=pUserProc->GetParentClassPtr();
 		}
 	}
